KImageFilePreview Class Reference

`#include <kimagefilepreview.h>`

Inheritance diagram for KImageFilePreview:

## Public Slots

virtual void | showPreview (const KURL &url)
virtual void | clearPreview ()
Public Slots inherited from KPreviewWidgetBase
virtual void | showPreview (const KURL &url)=0
virtual void | clearPreview ()=0
QStringList | supportedMimeTypes () const

## Public Member Functions

| KImageFilePreview (QWidget *parent)
virtual QSize | sizeHint () const
Public Member Functions inherited from KPreviewWidgetBase
| KPreviewWidgetBase (QWidget *parent, const char *name=0)

## Protected Slots

void | showPreview ()
void | showPreview (const KURL &url, bool force)
void | toggleAuto (bool)
virtual void | gotPreview (const KFileItem *, const QPixmap &)

## Protected Member Functions

virtual void | resizeEvent (QResizeEvent *e)
virtual KIO::PreviewJob * | createJob (const KURL &url, int w, int h)
virtual void | virtual_hook (int id, void *data)
Protected Member Functions inherited from KPreviewWidgetBase
void | setSupportedMimeTypes (const QStringList &mimeTypes)

## Detailed Description

Image preview widget for the file dialog.

Definition at line 31 of file kimagefilepreview.h.

The documentation for this class was generated from the following files:

- kimagefilepreview.h
- kimagefilepreview.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys